# Learn Vim (the Smart Way)

## What is this about?

*Learn Vim (the Smart Way)* is a guide to learn the good parts of Vim.

Follow [@learnvim](https://twitter.com/learnvim) for updates, Vim tips, etc.

## Table Of Contents 

### Prologue

- [Ch 0     - New to Vim? Read This First](./ch00_new_to_vim_read_this_first.md)

### Part 1: Learn Vim the Smart Way

- [Ch 1     - Starting Vim](./ch01_starting_vim.md)
- [Ch 2     - Buffers, Windows, and Tabs](./ch02_buffers_windows_tabs.md)
- [Ch 3     - Opening and Searching Files](./ch03_searching_files.md)
- [Ch 4     - Vim Grammar](./ch04_vim_grammar.md)
- [Ch 5     - Moving in a File](./ch05_moving_in_file.md)
- [Ch 6     - Insert Mode](./ch06_insert_mode.md)
- [Ch 7     - The Dot command](./ch07_the_dot_command.md)
- [Ch 8     - Registers](./ch08_registers.md)
- [Ch 9     - Macros](./ch09_macros.md)
- [Ch 10    - Undo](./ch10_undo.md)
- [Ch 11    - Visual Mode](./ch11_visual_mode.md)
- [Ch 12    - Search and Substitute](./ch12_search_and_substitute.md)
- [Ch 13    - The Global Command](./ch13_the_global_command.md)
- [Ch 14    - External Commands](./ch14_external_commands.md)
- [Ch 15    - Command-line Mode](./ch15_command-line_mode.md)
- [Ch 16    - Tags](./ch16_tags.md)
- [Ch 17    - Fold](./ch17_fold.md)
- [Ch 18    - Git](./ch18_git.md)
- [Ch 19    - Compile](./ch19_compile.md)
- [Ch 20    - Views, Sessions, and Viminfo](./ch20_views_sessions_viminfo.md)

### Part 2: Customize Vim the Smart Way

- [Ch 21 - Vimrc](./ch21_vimrc.md)
- [Ch 22 - Vim Packages](./ch22_vim_packages.md)
- [Ch 23 - Vim Runtime](./ch23_vim_runtime.md)

### Part 3: Learn Vimscript the Smart Way

- [Ch 24 - Vimscript Basic Data Types](./ch24_vimscript_basic_data_types.md)
- [Ch 25 - Vimscript Conditionals And Loops](./ch25_vimscript_conditionals_and_loops.md)
- [Ch 26 - Vimscript Variable Scopes](./ch26_vimscript_variables_scopes.md)
- [Ch 27 - Vimscript Functions](./ch27_vimscript_functions.md)

## Translations
- [Learn-Vim 中文翻译](https://github.com/wsdjeg/Learn-Vim_zh_cn)(`zh-CN`)
- [Learn-Vim Spanish](https://github.com/victorhck/learn-Vim-es)(`es`)

## License & Copyright
The materials here are all © 2020-2021 Igor Irianto.

<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://licensebuttons.net/l/by-nc-sa/4.0/88x31.png" /></a><br />

This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International</a>.
